
Core - Task # 55404

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:
Created: 2014-01-28 Assigned To: Thomas Maroschik
Updated: 2014-02-12 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Extract package dependency sorting to own class
Description

The Package Manager got pretty big due to the custom dependency resolving algorithm of CMS.

This part should be extracted to its own class in order to increase testability and reduce complexity.

Related issues:
related to Core - Bug # 55413: [Extension Manager] - PackageStates.php empty ... Closed 2014-01-29
related to Core - Bug # 54581: Please repair PackageStates before next Beta! Closed 2013-12-23

Associated revisions
Revision 016269d6 - 2014-02-01 22:36 - Thomas Maroschik

[TASK] Extract package dependency sorting to separate class

The Package Manager got pretty big due to the custom
dependency resolving algorithm of CMS. Further the
algorithm relied upon the presence of package objects
which might not be fully present yet during bootstrapping.

This patch extracts the dependency handling from the
Package Manager and adapts it to work only on the
package states configuration.

Resolves: #55404
Releases: 6.2
Change-Id: I00e7a3769378b48bd3f3c285ea2b3c6d824dd061
Reviewed-on: https://review.typo3.org/27101
Tested-by: Thomas Maroschik
Reviewed-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2014-01-28 18:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27101

#2 - 2014-01-28 19:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27101

#3 - 2014-01-28 20:06 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27101

#4 - 2014-01-31 18:26 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27101

#5 - 2014-01-31 18:27 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27101

#6 - 2014-02-01 23:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:016269d6d787141c71631b5df13490a870554510.

#7 - 2014-02-12 10:04 - Ernesto Baschny
- Parent task set to #47018
